For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify Entity (AML)

This endpoint allows you to run a comprehensive AML check on an entity, this can either be a business or an individual.

POST {{baseurl}}/v2/api/entities/:entityId/amlChecks

Headers

Name
Type
Description

token*

String

API secret token

Parameter

Field
Type
Description

entityId*

String

Id of the entity being checked.

Request Body

Field
Type
Description

entityType*

String

Type of entity being checked.

Allowed values: "individual", "business"

isSubjectConsent*

Boolean

Consent of the individual or business being checked.

Allowed values: true

incorporationNumber

String

Business registration number(Required if amlCheckType is "id_number").

incorporationName

String

Registered name of the business.

incorporationCountry

String

Country code of business incorporation (ISO 3166-1 alpha-2).

Size range: 2

incorporationDate

String

Date the business was incorporated.

Size range: YYYY-MM-DD

amlCheckType

String

Type of AML check to perform.

Allowed values: "name", "id_number"

amlChecks

String[]

Additional AML checks to perform.

ubos

Object

Information about Ultimate Beneficial Owners.

uboList

Object[]

List of UBOs.

category

String

UBO type.

Allowed values: "individual", "business"

firstName

String

Required if UBO is individual.

lastName

String

Required if UBO is individual.

incorporationName

String

Required if UBO is business.

amlChecks

String[]

AML checks to perform on UBOs.

firstName

String

Required if AML checks are present.

lastName

String

Required if AML checks are present.

dateOfBirth

String

Required if AML checks are present.

Size range: YYYY-MM-DD

nationality

String

Required if AML checks are present.

Size range: 2

Last updated

Was this helpful?